upgrade to 17.10 uncalculable without universe

Bug #1725605 reported by 900hailwood on 2017-10-21
62
This bug affects 8 people
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Medium
Brian Murray
Artful
Medium
Brian Murray

Bug Description

[Impact]
It is not possible for systems without universe enabled and unity installed (a default package) to upgrade to 17.10.

[Test Case]
1) On an Ubuntu 17.04 with unity installed ensure universe and multiverse are disabled
2) Try to upgrade to 17.10

With the current version of the dist upgrader tarball the upgrade with fail. With the version in -proposed (accessible via do-release-upgrade -p) the upgrade should succeed.

[Regression Potential]
It's possible unity will be recommended for removal in and subsequently removed in some other situations so test an upgrade with universe enabled and the release upgrader from -proposed.

Original Description
--------------------
no update possible towards 17.10

ProblemType: BugDistroRelease: Ubuntu 17.04
Package: ubuntu-release-upgrader-core 1:17.04.9
ProcVersionSignature: Ubuntu 4.10.0-37.41-generic 4.10.17
Uname: Linux 4.10.0-37-generic x86_64
NonfreeKernelModules: nvidia wl
ApportVersion: 2.20.4-0ubuntu4.5
Architecture: amd64
CrashDB: ubuntu
Date: Sat Oct 21 10:31:58 2017
InstallationDate: Installed on 2014-11-22 (1063 days ago)
InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
PackageArchitecture: allSourcePackage: ubuntu-release-upgrader
UpgradeStatus: Upgraded to zesty on 2017-10-21 (0 days ago)
VarLogDistupgradeTermlog:

900hailwood (900hailwood) wrote :
tags: added: zesty2artful
Brian Murray (brian-murray) wrote :

The sources.list file from this system does not have universe enabled and unity has been demoted to universe so the upgrader calculates it as a removal which is blacklisted so then the upgrade does not proceed.

summary: - no update possible towards 17.10
+ upgrade to 17.10 uncalculable without universe
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Confirmed
Changed in ubuntu-release-upgrader (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
Brian Murray (brian-murray) wrote :

One way to workaround this would be to remove unity before performing the distribution upgrade. Another would be to switch to temporary directory created by the release upgrader in /tmp/ and edit the file removal_blacklist.cfg so that unity is no longer listed and then manually run the release upgrader e.g. "sudo ./artful".

Changed in ubuntu-release-upgrader (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
description: updated

Thank you. I eventually got 17.10 installed but with other, python-related, problems (BleachBit and some aspect of updating both failed). I bailed and re-installed 16.04. I'll keep your notes for the future.

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Brian Murray
Sent: 23 October, 2017 16:36
To: <email address hidden>
Subject: [Bug 1725605] Re: upgrade to 17.10 uncalculable without universe

One way to workaround this would be to remove unity before performing the distribution upgrade. Another would be to switch to temporary directory created by the release upgrader in /tmp/ and edit the file removal_blacklist.cfg so that unity is no longer listed and then manually run the release upgrader e.g. "sudo ./artful".

** Changed in: ubuntu-release-upgrader (Ubuntu)
     Assignee: (unassigned) => Brian Murray (brian-murray)

--
You received this bug notification because you are subscribed to a duplicate bug report (1725811).
https://bugs.launchpad.net/bugs/1725605

Title:
  upgrade to 17.10 uncalculable without universe

Status in ubuntu-release-upgrader package in Ubuntu:
  Triaged

Bug description:
  no update possible towards 17.10

  ProblemType: Bug
  DistroRelease: Ubuntu 17.04
  Package: ubuntu-release-upgrader-core 1:17.04.9
  ProcVersionSignature: Ubuntu 4.10.0-37.41-generic 4.10.17
  Uname: Linux 4.10.0-37-generic x86_64
  NonfreeKernelModules: nvidia wl
  ApportVersion: 2.20.4-0ubuntu4.5
  Architecture: amd64
  CrashDB: ubuntu
  Date: Sat Oct 21 10:31:58 2017
  InstallationDate: Installed on 2014-11-22 (1063 days ago)
  InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
  PackageArchitecture: all
  SourcePackage: ubuntu-release-upgrader
  UpgradeStatus: Upgraded to zesty on 2017-10-21 (0 days ago)
  VarLogDistupgradeTermlog:

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-release-upgrader/+bug/1725605/+subscriptions

Hello 900hailwood, or anyone else affected,

Accepted ubuntu-release-upgrader into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:17.10.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-release-upgrader (Ubuntu Artful):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-artful
Brian Murray (brian-murray) wrote :
Download full text (3.9 KiB)

I tested the case with universe and multiverse disabled, using 'do-release-upgrade -p' and can confirm the release upgrade was successfully calculated.

2017-10-24 08:43:33,691 INFO Using config files '['./DistUpgrade.cfg']'
2017-10-24 08:43:33,691 INFO uname information: 'Linux clean-zesty-amd64 4.10.0-28-generic #32-Ubuntu SMP Fri Jun 30 05:32:18 UTC 2017 x86_64'
2017-10-24 08:43:33,781 INFO apt version: '1.4'
2017-10-24 08:43:33,782 INFO python version: '3.5.3 (default, Jan 19 2017, 14:11:04)
[GCC 6.3.0 20170118]'
2017-10-24 08:43:33,782 INFO release-upgrader version '17.10.8' started
...
2017-10-24 08:47:19,541 DEBUG Remove: account-plugin-facebook account-plugin-flickr account-plugin-google address-book-service checkbox-converged content-hub evolution-data-server-online-accounts g++-6 history-service hud indicator-network kerneloops-daemon libhistoryservice0 libnss-resolve liboxideqt-qmlplugin liboxideqtcore0 liboxideqtquick0 libqgsttools-p1 libqofono-qt5-0 libqt5contacts5 libqt5feedback5 libqt5multimedia5 libqt5multimedia5-plugins libqt5multimediaquick-p5 libqt5multimediawidgets5 libqt5organizer5 libqt5positioning5 libqt5qml5 libqt5quick5 libqt5quicktest5 libqt5sensors5 libqt5versit5 libqt5webkit5 libqt5xmlpatterns5 libsane libubuntugestures5 libubuntumetrics5 libubuntutoolkit5 libunity-webapps0 libusermetricsoutput1 onboard onboard-data qmenumodel-qml qml-module-biometryd qml-module-io-thp-pyotherside qml-module-ofono qml-module-pamauthentication0.1 qml-module-qmltermwidget1.0 qml-module-qt-labs-folderlistmodel qml-module-qt-labs-settings qml-module-qtfeedback qml-module-qtgraphicaleffects qml-module-qtmultimedia qml-module-qtqml-models2 qml-module-qtqml-statemachine qml-module-qtquick-layouts qml-module-qtquick-window2 qml-module-qtquick-xmllistmodel qml-module-qtquick2 qml-module-qtsysteminfo qml-module-qttest qml-module-ubuntu-components qml-module-ubuntu-components-labs qml-module-ubuntu-connectivity qml-module-ubuntu-layouts qml-module-ubuntu-onlineaccounts qml-module-ubuntu-onlineaccounts-client qml-module-ubuntu-onlineaccounts2 qml-module-ubuntu-performancemetrics qml-module-ubuntu-settings-components qml-module-ubuntu-test qml-module-ubuntu-thumbnailer0.1 qml-module-ubuntu-web qmlscene qtcontact5-galera qtdeclarative5-accounts-plugin qtdeclarative5-dev-tools qtdeclarative5-gsettings1.0 qtdeclarative5-qtmir-plugin qtdeclarative5-qtquick2-plugin qtdeclarative5-ubuntu-content1 qtdeclarative5-ubuntu-download-manager0.1 qtdeclarative5-ubuntu-settings-components qtdeclarative5-ubuntu-telephony0.1 qtdeclarative5-ubuntu-ui-extras0.2 qtdeclarative5-ubuntu-ui-toolkit-plugin qtdeclarative5-unity-action-plugin qtdeclarative5-unity-notifications-plugin qtmir-desktop qtubuntu-appmenutheme qtubuntu-print sessioninstaller signon-ui signon-ui-x11 telephony-service ubuntu-keyboard-data ubuntu-printing-app ubuntu-system-settings ubuntu-system-settings-online-accounts ubuntu-terminal-app unity unity-asset-pool unity-control-center-faces unity-control-center-signon unity-greeter unity-greeter-session-broadcast unity-plugin-scopes unity-scope-gdrive unity-webapps-common unity-webapps-qml unity-webapps-service unity8 unity8-common unity8-desktop-sess...

Read more...

Brian Murray (brian-murray) wrote :

I then went ahead and re-enabled universe and multiverse and run an upgrade with 'do-release-upgrade -p'. I can confirm that in this situation unity stayed installed.

bdmurray@clean-zesty-amd64:~$ apt-cache policy unity
unity:
  Installed: 7.5.0+17.10.20171010-0ubuntu1
  Candidate: 7.5.0+17.10.20171010-0ubuntu1
  Version table:
 *** 7.5.0+17.10.20171010-0ubuntu1 500
        500 http://192.168.10.7/ubuntu artful/universe amd64 Packages
        100 /var/lib/dpkg/status
bdmurray@clean-zesty-amd64:~$ grep version /var/log/dist-upgrade/main.log
2017-10-24 08:59:08,094 INFO apt version: '1.4'
2017-10-24 08:59:08,094 INFO python version: '3.5.3 (default, Jan 19 2017, 14:11:04)
2017-10-24 08:59:08,095 INFO release-upgrader version '17.10.8' started

tags: added: verification-done-artful
removed: verification-needed-artful
stuart (stuart-lucasfamily) wrote :

This does not fix the issue I had as per Bug #1726347

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:17.10.8

---------------
ubuntu-release-upgrader (1:17.10.8) artful; urgency=medium

  * data/removal_blacklist.cfg: unblacklist unity so that release upgrades to
    17.10 for systems without universe enabled can proceed. (LP: #1725605)

 -- Brian Murray <email address hidden> Mon, 23 Oct 2017 17:07:56 -0700

Changed in ubuntu-release-upgrader (Ubuntu):
status: Fix Committed → Fix Released

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of ubuntu-release-upgrader from artful-proposed was performed and bug 1727967 was found. Please investigate this bug report to ensure that a regression will not be created by this SRU. In the event that this is not a regression remove the "verification-failed" tag from this bug report and add the tag "bot-stop-nagging" to bug 1727967 (not this bug). Thanks!

tags: added: verification-failed
tags: removed: verification-failed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:17.10.8

---------------
ubuntu-release-upgrader (1:17.10.8) artful; urgency=medium

  * data/removal_blacklist.cfg: unblacklist unity so that release upgrades to
    17.10 for systems without universe enabled can proceed. (LP: #1725605)

 -- Brian Murray <email address hidden> Mon, 23 Oct 2017 17:07:56 -0700

Changed in ubuntu-release-upgrader (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers